🚀 zembed-1 is now generally available through the API, all SDKs, and on the AWS Marketplace!
curl --request POST \
--url https://api.zeroentropy.dev/v1/documents/get-document-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"path": "<string>",
"include_content": false
}
'{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_name": "<string>",
"path": "<string>",
"metadata": {},
"index_status": "not_parsed",
"size": 123,
"num_pages": 123,
"file_url": "<string>",
"content": "<string>"
}
}Retrieves information about a specific document. The request parameters define what information you would like to receive.
A 404 Not Found will be returned if either the collection name does not exist, or the document path does not exist within the provided collection.
curl --request POST \
--url https://api.zeroentropy.dev/v1/documents/get-document-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"path": "<string>",
"include_content": false
}
'{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_name": "<string>",
"path": "<string>",
"metadata": {},
"index_status": "not_parsed",
"size": 123,
"num_pages": 123,
"file_url": "<string>",
"content": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.zeroentropy.dev/llms.txt
Use this file to discover all available pages before exploring further.
The name of the collection.
The filepath of the document that you're requesting. A 404 Not Found status code will be returned if no document with this path was found.
If true, then the document response will have the content attribute be a string, rather than null. This string will contain the full contents of the document.
Successful Response
Show child attributes